File: Heartbeat.css

package info (click to toggle)
firefox 147.0.4-1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 4,683,532 kB
  • sloc: cpp: 7,607,356; javascript: 6,533,348; ansic: 3,775,236; python: 1,415,508; xml: 634,561; asm: 438,949; java: 186,241; sh: 62,760; makefile: 18,079; objc: 13,092; perl: 12,808; yacc: 4,583; cs: 3,846; pascal: 3,448; lex: 1,720; ruby: 1,003; php: 436; lisp: 258; awk: 247; sql: 66; sed: 54; csh: 10; exp: 6
file content (71 lines) | stat: -rw-r--r-- 1,312 bytes parent folder | download | duplicates (14)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/* Notification overrides for Heartbeat UI */

@keyframes pulse-onshow {
  0% {
    opacity: 0;
    transform: scale(1);
  }

  25% {
    opacity: 1;
    transform: scale(1.1);
  }

  50% {
    transform: scale(1);
  }

  75% {
    transform: scale(1.1);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes pulse-twice {
  0% {
    transform: scale(1.1);
  }

  50% {
    transform: scale(0.8);
  }

  100% {
    transform: scale(1);
  }
}

.messageImage.heartbeat {
  /* Needed for the animation to not get clipped when pulsing. */
  margin-inline: 8px;
}

.messageImage.heartbeat.pulse-onshow {
  animation-duration: 1.5s;
  animation-iteration-count: 1;
  animation-name: pulse-onshow;
  animation-timing-function: cubic-bezier(0.7, 1.8, 0.9, 1.1);
}

.messageImage.heartbeat.pulse-twice {
  animation-duration: 1s;
  animation-iteration-count: 2;
  animation-name: pulse-twice;
  animation-timing-function: linear;
}

/* Learn More link styles */
.heartbeat > hbox > .text-link {
  margin-inline-start: 0 !important;
}

.heartbeat > hbox > .text-link:hover {
  text-decoration: none !important;
}